function [w_orig,fvald]=dual(n,m,s,m_pc,s_pc,in,out,in_new,out_new,hx,hy,Lx,Ly,model,RTS,orient);

if isequal(RTS,'VRS');
    u=1;u0=-ones(n,1);
else u=0;u0=zeros(n,1);
end;

%w_in_new,w_in,w_out_new,w_out,epsilon

Ad=[-in_new,-in,out_new,out,u0;
    -Lx,zeros(m_pc,m+hy+s+1);
    zeros(m,hx),-eye(m),zeros(m,hy+s+1);
    zeros(s_pc,hx+m),-Ly,zeros(s_pc,s+1);
    zeros(s,hx+m+hy),-eye(s),zeros(s,1)];
beqd=1;
lbd(1:hx)=-inf;
        lbd(hx+1:hx+m)=0;
        lbd(hx+m+1:hx+m+hy)=-inf;
        lbd(hx+m+hy+1:hx+m+hy+s)=0;
        lbd(hx+m+hy+s+1)=-inf;
%optnew = optimset('MaxIter', 100*(hx+hy), 'TolX',1e-8,'LargeScale', 'on', 'Simplex', 'off');

for k=1:n,

    if strcmp(model,'radial')
        
        bd=zeros(1,n+m_pc+m+s_pc+s)';     
        if strcmp(orient,'IN')
            if isempty(in),
                Aeqd=[in_new(k,:),zeros(1,hy+s+1)];else
                Aeqd=[in_new(k,:),in(k,:),zeros(1,hy+s+1)];
            end;
            if isempty(out),   
                fd=[zeros(1,hx+m),-out_new(k,:),u]';else
                fd=[zeros(1,hx+m),-out_new(k,:),-out(k,:),u]';
            end;
        end;

        if strcmp(orient,'OUT')
            if isempty(out),
                Aeqd=[zeros(1,hx+m),out_new(k,:),0];else
                Aeqd=[zeros(1,hx+m),out_new(k,:),out(k,:),0];
            end;
            if isempty(in),
                fd=[in_new(k,:),zeros(1,hy+s),u]';else
                fd=[in_new(k,:),in(k,:),zeros(1,hy+s),u]';
            end;
        end;
    end;

    if strcmp(model,'additive')
        Aeqd=[];beqd=[];
                       
        if isempty(in) ||isempty(out)
            if isempty(in) &&isempty(out),                                         fd=[in_new(k,:),-out_new(k,:),u]';end;
            if isempty(in) &&(isempty(out)==0),                                fd=[in_new(k,:),-out_new(k,:),-out(k,:),u]';end;
            if isempty(out)&&(isempty(in)==0),                                 fd=[in_new(k,:),in(k,:),-out_new(k,:),u]';end;
        else                                                                                                   fd=[in_new(k,:),in(k,:),-out_new(k,:),-out(k,:),u]';
        end;
        if strcmp(orient,'NON')
            bd=[zeros(1,n),-ones(1,m_pc+m+s_pc+s)]';
        end;
        if strcmp(orient,'OUT')
            bd=[zeros(1,n+m_pc+m),-ones(1,s_pc+s)]';
        end;
        if strcmp(orient,'IN')
            bd=[zeros(1,n),-ones(1,m_pc+m),zeros(1,s_pc+s)]';
        end;
    end;

    [xd(:,k),fvald(:,k),exitflag,lambda,output]=linprog(fd,Ad,bd,Aeqd,beqd,lbd,[],[]);
    if exitflag~=1, 
        optnew = optimset('MaxIter', 50*(hx+hy), 'TolX',1e-8,'LargeScale', 'off', 'Simplex', 'on');
         [xd(:,k),fvald(:,k),exitflag,lambda,output]=linprog(fd,Ad,bd,Aeqd,beqd,lbd,[],[],optnew);
    else optnew = optimset('MaxIter', 50*(hx+hy), 'TolX',1e-8,'LargeScale', 'on', 'Simplex', 'off');
    end;
end;
w_orig=-Ad*xd;



