function  gui_pca_dea(varargin)
global answer
if nargin==0
    fig=openfig(mfilename);
    handles=guihandles(fig);
    guidata(fig,handles);
    uiwait(fig);% blocks execution until either UIRESUME is called or the figure FIG is destroyed (closed)
    if nargout>0
        varargout{1}=fig;
    end;
elseif ischar(varargin{1})
    try
        answer.varargout{1:nargout}=feval( varargin{:}) ;
         %catch disp(lasterr);
    end;

    if isfield(answer,'model') && isfield(answer,'RTS')&& isfield(answer,'orient')&&isfield(answer,'m_total')...
            &&isfield(answer,'s_total')&&isfield(answer,'index')
        if answer.index==100;
            answer.m_pc=answer.m_total;
            answer.s_pc=answer.s_total;
        end;
        save('workspace.mat','answer') ;
    end;
end;

function RTS=CRS_Callback(hObject, eventdata,handles)
global  answer RTS;
set(handles.CRS,'Value',1);
set(handles.VRS,'Value',0);
answer.RTS.RTS=get(hObject,'String');

function RTS=VRS_Callback(hObject, eventdata,handles)
global  answer RTS;
set(handles.CRS,'Value',0);
set(handles.VRS,'Value',1);
answer.RTS.RTS=get(hObject,'String');

function orient=IN_Callback(hObject, eventdata,handles)
global answer orient;
set(handles.IN,'Value',1);
set(handles.OUT,'Value',0);
set(handles.NON,'Value',0);
answer.orient.orient=get(hObject,'String');

function orient=OUT_Callback(hObject, eventdata,handles)
global answer orient;
set(handles.IN,'Value',0);
set(handles.OUT,'Value',1);
set(handles.NON,'Value',0);
answer.orient.orient=get(hObject,'String');

function orient=NON_Callback(hObject, eventdata,handles)
global answer orient;
set(handles.IN,'Value',0);
set(handles.OUT,'Value',0);
set(handles.NON,'Value',1);
answer.orient.orient=get(hObject,'String');

function model=radial_Callback(hObject, eventdata,handles)
global answer model;
set(handles.radial,'Value',1);
set(handles.additive,'Value',0);
answer.model.model=get(hObject,'String');

function model=additive_Callback(hObject, eventdata,handles)
global answer model;
set(handles.radial,'Value',0);
set(handles.additive,'Value',1);
answer. model.model=get(hObject,'String');

function m_total=m_total_Callback(hObject, eventdata,handles)
global answer m_total;
answer.m_total=str2double(get(hObject,'String')); %returns contents of m_total as a double
function m_total_CreateFcn(hObject, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function s_total=s_total_Callback(hObject, eventdata,handles)
global answer s_total;
answer. s_total=str2double(get(hObject,'String')); %returns contents of s_total as a double
function s_total_CreateFcn(hObject,handles);
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function index=index_Callback(hObject, eventdata,handles)
global  answer index;
answer.index=str2double(get(hObject,'String'));
% --- Executes during object creation, after setting all properties.
function index_CreateFcn(hObject, eventdata,handles);
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function m_pc=m_pc_Callback(hObject, eventdata,handles)
global  answer m_pc;
answer.m_pc=str2double(get(hObject,'String'));

function s_pc=s_pc_Callback(hObject, eventdata, handles)
global  answer s_pc;
answer.s_pc=str2double(get(hObject,'String'));

function Run_Callback(hObject, eventdata, handles)
set('CallBack','close');






