function [in,out,in_new,out_new,Lx,Ly,hx,hy,invLx,invLy,n,m,s,p_e_x,p_e_y]=PCA(dataset,m_total,s_total,m_pc,s_pc,index);

in_pc=dataset(:,1:m_pc);
if m_pc==m_total,
    in=[];std_in=[];
else in=dataset(:,m_pc+1:m_total);
    std_in=sqrt(var(in));
    in=in./std_in(ones(n,1),:);%normalized input
end;
out_pc=dataset(:,m_total+1:m_total+s_pc);
if s_pc==s_total, 
    out=[];std_out=[];
else out=dataset(:,m_total+s_pc+1:m_total+s_total);
    std_out=sqrt(var(out));
    out=out./std_out(ones(n,1),:);%normalized output
end;

[n,m]=size(in);
[n,s]=size(out);
[n,total]=size(dataset);

std_in_pc=sqrt(var(in_pc));
in_norm=in_pc./std_in_pc(ones(n,1),:);
std_out_pc=sqrt(var(out_pc));
out_norm=out_pc./std_out_pc(ones(n,1),:);

[FLx,Dx,FLx]=svd(corrcoef(in_norm));                                               %PCA in_norm
p_e_x(:,:)=100*diag(Dx)/sum(diag(Dx));
hx=find(round(cumsum(p_e_x)*100)/100>=index,1,'first');
Lx=FLx(:,1:hx);  invLx=inv(FLx);                                                      %partial matrix of weights
in_new=in_norm*Lx;                                                                           %transformed data in_norm

[FLy,Dy,FLy]=svd(corrcoef(out_norm));%out_norm
p_e_y(:,:)=100*diag(Dy)/sum(diag(Dy));
hy=find(round(cumsum(p_e_y)*100)/100>=index,1,'first');
Ly=FLy(:,1:hy);  invLy=inv(FLy);                                                      %partial matrix of weights
out_new=out_norm*Ly;%out_norm